# pdf-grabber

For grabbing PDFs from ICRA 2022!

## Usage

Make sure you have Python 3.6 or later, install a [virtual environment](https://docs.python.org/3/library/venv.html) if you like, then run these in a command line:

* `pip3 install -r requirements.txt`
* `python3 main.py`

This script will create a sub-directory, `pdfs/`, where it will store the PDFs it downloads. PDFs are named according to the presentation's name and the PDF's file number.

You can use the `-e` flag (e.g. `python3 main.py -e 88`) to determine which event ID to scan for presentations that have PDFs. By default, this is event 88. (The number is unfortunate; it's the event this was written for, [the 39th IEEE International Conference on Robotics and Automation](https://events.infovaya.com/event?id=88), and bears no other symbolism here.)

You can use the `-s` flag (e.g. `python3 main.py -s`) to save the HTML content of each page along with the PDF. This is mostly for diagnostic purposes. The CSS and Javascript files required by the HTML files are included here, but you may have to move them somewhere else to get them to work properly (where depends on your system).